#include <iostream>
using namespace std;

int broj(int x){
    int broj=0;
    if(x==1 || x==2 || x==5)
        broj=1;
    if(x==3 || x==4 || x==6 || x==7)
        broj=2;
    if(x==8 || x==9)
        broj=3;
    return broj;
}
int main()
{
    long long v;
    cin>>v;
    int br=0,i=0;
    while(v>0){
        br=br+broj(v%10);
        v=v/10;
    }
    cout<<br;
}